
function settab_zzjs(name,num,n){
	 for(i=1;i<=n;i++){
	  var menu=document.getElementById(name+i);
	  var menus=document.getElementById(name);
	  var con=document.getElementById(name+"_"+"zzjs"+i);
	  menu.className=i==num?"cent_li2":"cent_li";
	  /*
	  if(menus){
		  menus.style.display=num==1?"block":"none";
	  }*/
	  con.style.display=i==num?"block":"none";
	}
}

function show_commnet(t,id){
	g_action="/index.php?action=sendcomment";
	$.getJSON(g_action,{t:t,id:id,comment:encodeURIComponent($('#content').val())},function(json){
		if(json.stat==3){
			var item=json.commemt;
			insert_html('comment_lst',item.comment,item.date,item.yidd);
			alert('评论成功提交');
		}else if(json.stat==1){
			alert('评论内容至少3个字！');
		}else if(json.stat==2){
			alert('您的操作太过频繁，坐下来喝杯茶先……');
		}
	});
}
function insert_html(cssID,content,date,yidd){

	
	if($("#"+cssID+' li').length>=20){
		//删除最后一条评论
		$("#"+cssID+' li:last').remove();
	}
	if($("#"+cssID+' li').length<1){
		var no=1;
	}
	else{
		//取得第一条评论的楼层数
		var no=parseInt($("#"+cssID+' li:first').children('li.comment2').children('span:first').html(),5)+1;
	}
	//调用C_li创建评论,插入顶层
	$("#"+cssID).prepend(comment_html(no,content,date,yidd));
	
}

function comment_html(no,content,date,yidd){
	var shtml='';
	shtml+="<li><figure class='comment' id='comment'>";
	shtml+="<p class='comment2'><span>#"+no+"</span>&nbsp;&nbsp;<span>"+yidd+"</span>&nbsp;&nbsp;<span>"+date+"</span></p>";
	shtml+="<p class='comment3'>"+content+"<p>";
	shtml+="</figure></li>";
	return shtml;
}

function close_windows(){
  var myDiv=document.getElementById("myDiv");
  myDiv.style.display="none";
}

(function(){
//if(navigator.userAgent.toLocaleLowerCase().indexOf('msie 6.0;')>1){
if(checkFixed()){
	return ;
}//只需对不支持固定定位的浏览器做处理

//将下面需要使用的dom相关操作在scrollDiv外面提取一次，避免多次dom操作
var fixedObj = document.getElementById("myDiv"),
	height = fixedObj.offsetHeight,//标签高度提前读取出来
	firstTop =getTop(fixedObj),//记录页面一开始标签所在位置
	timer;
	window.onscroll = function(){//这里做个延时执行，可以减少scroll执行频率
		clearTimeout(timer);
		timer = setTimeout(function(){
			scrollDiv()
		},30);
	}

function scrollDiv(){
	var scrollTop = document.documentElement.scrollTop || document.body.scrollTop;
	fixedObj.style.top=(firstTop+scrollTop)+'px';
}
//获取元素在页面里top值
function getTop(obj) {
	var top = 0;
	while(obj){
		top += obj.offsetTop;
		obj = obj.offsetParent;
	}
	return top;
}
//判断浏览器是否支持固定定位
function checkFixed(){
	var o = document.createElement('div'),
		body = document.getElementsByTagName('body')[0],
		fig = false;
	body.insertBefore( o, body.firstChild );
	o.style.cssText ='position:fixed;top:20px;margin:0;padding:0;border:none;width:0px;height:0px;';
	fig = o.offsetTop==20;
	body.removeChild(o);
	return fig;
}
})()

function showFullLite(){
	var intro1=document.getElementById('intro1');
	var intro2=document.getElementById('intro2');
	var show_des=document.getElementById('show_des');
	if(intro1.style.display=="none"){
		intro1.style.display="block";
		intro2.style.display="none";
		show_des.innerText="收缩";
	}else{
		intro2.style.display="block";
		intro1.style.display="none";
		show_des.innerText="更多内容";
	}
}